Loading...
Searching...
No Matches
casacore::ArrayIO_global_functions_Array_binary_IO Struct Reference
casa package (libcasa_casa) » IO_module

Global functions to read/write binary arrays from/to a file. More...

`#include <ArrayIO.h>`

## Public Member Functions

template<typename T, typename Alloc>
void | write_array (const Array< T > &the_array, const std::string &fileName)
| Write the values of an array in binary format into a file with the given name.
template<typename T, typename Alloc>
void | write_array (const Array< T > &the_array, const char *fileName)
template<typename T, typename Alloc>
void | read_array (Array< T > &the_array, const std::string &fileName)
| Read the values of an array in binary format from a file with the given name.
template<typename T, typename Alloc>
void | read_array (Array< T > &the_array, const char *fileName)

## Detailed Description

Global functions to read/write binary arrays from/to a file.

### Intended use:

Public interface

### Review Status

Reviewed By:
  Gareth Hunt
Date Reviewed:
  95Mar31

### Synopsis

These global functions provide disk read/write functions for an Array of binary numbers. The write operation is useful, for example, to dump an image in binary form to disk so that it can be displayed with an external utility such as SAOimage.

### Example

Matrix<float> picture(256, 256); picture = 0.0;
String fileName="picture.data";
// operations to populate picture
//..\.
write_array (picture, fileName);
casacore::Matrix
Definition Matrix.h:87
casacore::String
String: the storage and methods of handling collections of characters.
Definition String.h:223
casacore::ArrayIO_global_functions_Array_binary_IO::write_array
void write_array(const Array< T > &the_array, const std::string &fileName)
Write the values of an array in binary format into a file with the given name.

### To Do

- These functions should eventually be replaced with something more sophisticated.

Definition at line 161 of file ArrayIO.h.

## Member Function Documentation

## read_array() [1/2]

template<typename T, typename Alloc>

void casacore::ArrayIO_global_functions_Array_binary_IO::read_array | ( | Array< T > & | the_array,
|  | const char * | fileName )

inline

Definition at line 192 of file ArrayIO.h.

References read_array().

## read_array() [2/2]

template<typename T, typename Alloc>

void casacore::ArrayIO_global_functions_Array_binary_IO::read_array | ( | Array< T > & | the_array,
|  | const std::string & | fileName )

Read the values of an array in binary format from a file with the given name.

The number of values read is the size of the Array, thus the file should at least contain that number of values.
Warning: This function is only suitable for built-in data types;

Referenced by read_array().

## write_array() [1/2]

template<typename T, typename Alloc>

void casacore::ArrayIO_global_functions_Array_binary_IO::write_array | ( | const Array< T > & | the_array,
|  | const char * | fileName )

inline

Definition at line 176 of file ArrayIO.h.

References write_array().

## write_array() [2/2]

template<typename T, typename Alloc>

void casacore::ArrayIO_global_functions_Array_binary_IO::write_array | ( | const Array< T > & | the_array,
|  | const std::string & | fileName )

Write the values of an array in binary format into a file with the given name.

The values are stored in local format, thus are not converted to a canonical format as AipsIO does.
Warning: This function is only suitable for built-in data types;

Referenced by write_array().

The documentation for this struct was generated from the following file:

- casa/IO/ArrayIO.h